﻿using Infragistics.Win;
using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AppMenu2010HorizontalScrollCase
{
    public partial class Form1 : Form
    {
        ResizeUserControl userControl;
        TooBigFromBeginning tooBigControl;
        public Form1()
        {
            InitializeComponent();

            // controls
            userControl = new ResizeUserControl();  // Control container
            tooBigControl = new TooBigFromBeginning();

            // App menu 
            ApplicationMenu2010 appMenu = ultraToolbarsManager1.Ribbon.ApplicationMenu2010;


            // Create first level entry
            PopupMenuTool toolOptions = new PopupMenuTool("Options");
            toolOptions.SharedProps.Caption = "Options";
            ultraToolbarsManager1.Tools.Add(toolOptions);

            // Create second level entry
            PopupMenuTool toolDummy = new PopupMenuTool("Dummy");
            toolDummy.SharedProps.Caption = "Dummy";
            ultraToolbarsManager1.Tools.Add(toolDummy);

            // Create second level entry with conrol container
            PopupControlContainerTool toolOptionsInterface = new PopupControlContainerTool("UserInterface");
            toolOptionsInterface.Control = userControl;        
            toolOptionsInterface.SharedProps.Caption = "User interface";
            ultraToolbarsManager1.Tools.Add(toolOptionsInterface);

            // Create second level entry with conrol container --> this is directly from the beginning too big
            PopupControlContainerTool toolOptionsSettings = new PopupControlContainerTool("Settings");
            toolOptionsSettings.Control = tooBigControl;
            toolOptionsSettings.SharedProps.Caption = "Settings";
            ultraToolbarsManager1.Tools.Add(toolOptionsSettings);


            // --> Add to first level tool
            toolOptions.Tools.AddTool(toolDummy.Key);
            toolOptions.Tools.AddTool(toolOptionsInterface.Key);
            toolOptions.Tools.AddTool(toolOptionsSettings.Key);

            ultraToolbarsManager1.Style = ToolbarStyle.Office2013;    
            ultraToolbarsManager1.Ribbon.FileMenuStyle = FileMenuStyle.ApplicationMenu2010;

            ultraToolbarsManager1.Ribbon.ApplicationMenu2010.NavigationMenu.Tools.AddTool(toolOptions.Key);
        }

       
    }
}
